Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class JarAnalyzer.ClassNameInformation

    java.lang.Object
      org.owasp.dependencycheck.analyzer.JarAnalyzer.ClassNameInformation

Enclosing class:
  JarAnalyzer

    protected static class JarAnalyzer.ClassNameInformation

extends Object

Stores information about a class name.

Method Summary
`String` | `getName()` Get the value of name
`ArrayList<String>` | `getPackageStructure()` Get the value of packageStructure
`void` | `setName(String name)` Set the value of name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Get the value of name

  Returns:
    the value of name

### setName

    public void setName(String name)

  Set the value of name

  Parameters:
    `name` - new value of name

### getPackageStructure

    public ArrayList<String> getPackageStructure()

  Get the value of packageStructure

  Returns:
    the value of packageStructure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.